package com.steerinfo.ems.tcm0316.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class TCm0316 implements IBasePO<String> {
    /**
     * 记录id(RECORDID,VARCHAR,255)
     */
    @ApiModelProperty(value="记录id",required=false)
    private String recordid;

    /**
     * 监测点代码(POWERMONITORCODE,VARCHAR,400)
     */
    @ApiModelProperty(value="监测点代码",required=true)
    private String powermonitorcode;

    /**
     * 监测点名称(POWERMONITORNAME,VARCHAR,400)
     */
    @ApiModelProperty(value="监测点名称",required=false)
    private String powermonitorname;

    /**
     * 制定年度(CREATYEAR,VARCHAR,400)
     */
    @ApiModelProperty(value="制定年度",required=false)
    private String creatyear;

    /**
     * 系统名称(POWERSYSTEMNAME,VARCHAR,400)
     */
    @ApiModelProperty(value="系统名称",required=false)
    private String powersystemname;


    private static final long serialVersionUID = 1L;


    @Override
    public String getId() {
        return powermonitorcode;
    }

    @Override
    public void setId(String powermonitorcode) {
        this.powermonitorcode = powermonitorcode == null ? null : powermonitorcode.trim();
    }
    public String getRecordid() {
        return recordid;
    }
    public void setRecordid(String recordid) {
        this.recordid = recordid == null ? null : recordid.trim();
    }

    public String getPowermonitorcode() {
        return powermonitorcode;
    }

    public void setPowermonitorcode(String powermonitorcode) {
        this.powermonitorcode = powermonitorcode == null ? null : powermonitorcode.trim();
    }

    public String getPowermonitorname() {
        return powermonitorname;
    }
    public void setPowermonitorname(String powermonitorname) {
        this.powermonitorname = powermonitorname == null ? null : powermonitorname.trim();
    }

    public String getCreatyear() {
        return creatyear;
    }
    public void setCreatyear(String creatyear) {
        this.creatyear = creatyear == null ? null : creatyear.trim();
    }

    public String getPowerpowersystemname() {
        return powersystemname;
    }
    public void setPowerpowersystemname(String powersystemname) {
        this.powersystemname = powersystemname == null ? null : powersystemname.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", recordid=").append(recordid);
        sb.append(", powermonitorcode=").append(powermonitorcode);
        sb.append(", powermonitorname=").append(powermonitorname);
        sb.append(", creatyear=").append(creatyear);
        sb.append(", powersystemname=").append(powersystemname);
        sb.append("]");
        return sb.toString();
    }
}